Topic: Felix - need upgrade link


I have version 1.7 of Simple Viewer just recently purchased.   I need to  upgrade to 1.8 in order to make some necessary customizations?

Since I just purchased 1 - 2 weeks ago, I thought I was getting the latest version?


Re: Felix - need upgrade link … php?t=1491

Felix Turner
SimpleViewer Support Team.